Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat.xml
Class SchemaMetadata

`java.lang.Object
oracle.adf.model.adapter.dataformat.xml.SchemaMetadata`

public class SchemaMetadata
extends java.lang.Object

Class to store schema metadata.

Method Summary
`java.lang.String` | `getProperty(java.lang.String name)` Returns the property given its name.
`boolean` | `isAttributeFormDefault()` Determine if the schema's attributes are qualified.
`boolean` | `isElementFormDefault()` Determine if the schema's elements are qualified.
`void` | `setAttributeFormDefault(boolean attributeFormDefault)` Sets the `attributeFormDefault` property.
`void` | `setElementFormDefault(boolean elementFormDefault)` Sets the `elementFormDefault` property.
`void` | `setProperty(java.lang.String name, java.lang.String value)` Sets a property pertaining to a schema document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isAttributeFormDefault

    public boolean isAttributeFormDefault()

  Determine if the schema's attributes are qualified.
  Returns:
    Returns the isAttributeFormDefault.

### isElementFormDefault

    public boolean isElementFormDefault()

  Determine if the schema's elements are qualified.
  Returns:
    Returns the isElementFormDefault.

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Returns the property given its name.
  Parameters:
    `name` - Name of the property whose value is to be retrieved.
  Returns:
    Returns the value of the property.

### setAttributeFormDefault

    public void setAttributeFormDefault(boolean attributeFormDefault)

  Sets the `attributeFormDefault` property.
  Parameters:
    `attributeFormDefault` -

### setElementFormDefault

    public void setElementFormDefault(boolean elementFormDefault)

  Sets the `elementFormDefault` property.
  Parameters:
    `elementFormDefault` - The isElementFormDefault to set.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Sets a property pertaining to a schema document.
  Parameters:
    `name` - Name of the property.
    `value` - Value of the property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.